### Method

# GUPnP ContextManager get_socket_family

#### Declaration [src]

    GSocketFamily
    gupnp_context_manager_get_socket_family (
      GUPnPContextManager* manager
    )

#### Description [src]

Get the `GSocketFamily` the contexts are created for. Can be `G_SOCKET_FAMILY_IPV6`, `G_SOCKET_FAMILY_IPV4` or `G_SOCKET_FAMILY_INVALID` for both.

Available since: | 1.2.0

Gets property | `GUPnP.ContextManager:family`

#### Return value

Returns: | `GSocketFamily`
| The socket family.